# OH! Project Base - SCSS
## Sass
### screen.scss
Sets base styling for global elements (headings, paragraph text, list items, links, buttons, tables, etc.). Also includes styling for template sections: main menu (dropdown sub nav), mobile menu (collapsible sub nav), containers - #wrap, #header, #footer, etc.
## Templates
### index.html
Template starting point for most projects. Includes CMSv5 tags for - site title, website name, main nav, mobile nav, main content container, footer copyright, etc. Setup with skeleton of custom template containers (#wrap, #header, #contentWrap, #footer, etc.) as well as Boostrap elements (.container, .row, .col-lg-12, etc) and project base JS file includes.  
## JS
### Match Height - jquery.matchHeight-min.js
JS include for multiple column height-matching, useful for responsive sites. Documentation <a href="https://github.com/liabru/jquery-match-height" target="_blank">here</a>.
### Touch Nav - jquery.touchnav.js
Touch friendly drop down nav, documentation <a href="https://github.com/iwong/touch-dd-nav" target="_blank">here</a>.
### Modernizr - modernizr.custom.js
Custom Modernizr export for SVG replacement. In the same root folder as the .SVG you must also include a .PNG version of the image. Swaps out SVG for PNG in any browser not supporting SVG. Documentation <a href="http://modernizr.com/docs/#features-misc" target="_blank">here</a>. 
### Project Main - main.js
Main project JS includes functions for the above JS includes as well active/hover state class additions for main nav items, HTML5 form placeholder fix, and collapsible toggle for sidr mobile nav.
## Style Guide
Template starting point for custom project style guides. Includes Prism JS/CSS for inline code snippet styling. Rename to "style-guide.html" and move to site root (Ex: http://example.com/style-guide.html). Replace style guide variables to match finalized project screen.scss file styling.
## Sidr jQuery Nav
Sidr jQuery plugin for mobile navigation, documentation <a href="http://www.berriart.com/sidr/" target="_blank">here</a>.
## Bootstrap - v3.3.5
Twitter Bootstrap used for template grid structure and form styling/validation. Best practice would be to include a fresh export of Bootstrap for each new project (http://getbootstrap.com/customize/). This way if any changes need to be made down the road to the Bootstrap export we can do so by using the custom config URL located at the bottom of bootstrap/config.json.
## FancyBox - v2.1.5
FancyBox JS is used for photo galleries and blog module responsive video pop-ups, documentation <a href="http://fancyapps.com/fancybox" target="_blank">here</a>.
## Font Awesome - v4.0.3
Font Awesome icon set included by CDN, documentation <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_blank">here</a>.

