(function( $ ) {

    $.fn.divSlider = function(options) {

      var $el = $(this);

      defaults = {
        numberOfActiveSlides: 3,
        itemHandle: '.handle',
        nextHandle: '.next',
        previousHandle: '.previous'
      };

      //initialize
      if(!options)
      {
        var options = {
          numberOfActiveSlides: 3,
          itemHandle: '.handle',
          nextHandle: '.next',
          previousHandle: '.previous'
        }
      }

      if(! options.numberOfActiveSlides)
      {
        options.numberOfActiveSlides = defaults.numberOfActiveSlides;
      }

      if(! options.itemHandle)
      {
        options.itemHandle = defaults.itemHandle;
      }

      if(! options.nextHandle)
      {
        options.nextHandle = defaults.nextHandle;
      }

      if(! options.previousHandle)
      {
        options.previousHandle = defaults.previousHandle;
      }

      initSlides();

      //events
      $el.find(options.nextHandle).click(function(){
          showNext();
      });

      $el.find(options.previousHandle).click(function(){
          showPrevious();
      });

      //methods

      function initSlides(){
        $(options.itemHandle).each(function(index){

          if(index >= options.numberOfActiveSlides)
          {
            $(this).removeClass('active');
            $(this).addClass('inactive');
          }
          else
          {
            $(this).removeClass('inactive');
            $(this).addClass('active');
          }
        });
      }

      function showNext(){
        var activeIndex = 0;
        var referenceIndex = 0;

        $(options.itemHandle).each(function(index){

          if($(this).hasClass('active'))
          {
            $(this).removeClass('active');
            $(this).addClass("inactive");
            referenceIndex++;
          }
          else if(referenceIndex  > 0 && activeIndex < options.numberOfActiveSlides)
          {
            $(this).removeClass('inactive');
            $(this).addClass("active");
            activeIndex++;
          }

        });

        //end of elements was reached, reset
        if(activeIndex == 0)
        {
          initSlides();
        }
      }

      function showPrevious(){
        var previous = [];
        var previousIndex = 0;
        var firstIndex = 0;
        $($(options.itemHandle).get()).each(function(index){
        //   $el.find(options.itemHandle).removeClass('active');
        //   $el.find(options.itemHandle).addClass('inactive');
        // });
// console.log(index, $(this).find('h3').html())
          //active index found, clear and break;
          if($(this).hasClass('active')) {

            if(firstIndex == 0) {
              // alert($(options.itemHandle).get().length)
              if(index == 0) {
                firstIndex = $(options.itemHandle).get().length - options.numberOfActiveSlides;
              } else {
                firstIndex = index - options.numberOfActiveSlides;
              }

              // if(index < options.numberOfActiveSlides) {
                // firstIndex = $(options.itemHandle).get().length - (options.numberOfActiveSlides + index);
                // console.log(firstIndex)
              // }
              // firstIndex = index - options.numberOfActiveSlides;
            }


            $el.find(options.itemHandle).removeClass('active');
            $el.find(options.itemHandle).addClass('inactive');

            //break
            // return false;
          }
        });

        console.log(firstIndex)

        $($(options.itemHandle).get()).each(function(index){

          //hold the previous elements because those are the ones that will be active
          // console.log(firstIndex, index, previousIndex, options.numberOfActiveSlides, $(this).find('h3').html())
          if(index >= firstIndex && previousIndex < options.numberOfActiveSlides) {
            previous.push(this);
            previousIndex++;

            // console.log(index, firstIndex, previousIndex, options.numberOfActiveSlides);
            // console.log(this);
            // console.log(index)
          } else {
            // previous.pop();
          }
        });

        console.log(previous)

        for(var i=0; i<previous.length; i++)
        {
          var element = previous[i];

          $(element).removeClass('inactive');
          $(element).addClass('active');
        }

        if(previous.length == 0)
        {
          initSlides();
        }

      }

    };

}( jQuery ));
