$(function() {
  // Modernizr SVG Fix
  (function() {
    if (!Modernizr.svg) {
      $('img[src*="svg"]').attr('src', function() {
        return $(this).attr('src').replace('.svg', '.png');
      });
    }
  })();

  // Show Nav .Active States on Parent Elements + On :Hover
  (function() {
    // Show menu active state on drop down mouseover
    $('#nav ul').mouseover(function(){
      $(this).parent('li').children('a').addClass('hover');
    }).mouseout(function(){
      $(this).parent('li').children('a').removeClass('hover');
    });

    // Parent Dropdown A Active State
    $('#nav li.active').parents('li').filter(':last').children('a').addClass('active');
    $('#nav li.active').parents('li').filter(':last').addClass('active');
  })();

  // Dropdown Touch Nav Fix
  (function() {
    $('#nav > ul').touchNav();
  })();

  // Show Sidr Mobile Nav .Active States on Parent Elements + On :Hover
  (function() {
    // Init sidr
    $('#menuBtn').sidr({
      side: 'right'
    });

    // Close sidr
    $(window).resize(function() {
      $.sidr('close', 'sidr');
    });

    $(window).click(function(e) {
      if ($(e.target).parents('#sidr').length === 0) {
        $.sidr('close', 'sidr');
      }
    });

    // Show menu active state on drop down mouseover
    $('#sidr ul').mouseover(function(){
      $(this).parent('li').children('a').addClass('hover');
    }).mouseout(function(){
      $(this).parent('li').children('a').removeClass('hover');
    });

    // Parent Dropdown A Active State
    $('#sidr li.active').parents('li').children('a').addClass('active');
    $('#sidr li.active').parents('li').addClass('active');
  })();

  // Collapsible nav tree .nav-toggle, .nav-plus, .nav-minus - show on click
  (function() {
    $('.nav-toggle').click(function() {
      if ($(this).hasClass('nav-plus')) {
        // Close other navs
        var clickedNavToggle = this;
        $('.nav-toggle').each(function() {
          if ($(this).parent('li').find(clickedNavToggle).length <= 0) {
            $(this).removeClass('nav-minus').addClass('nav-plus').siblings('ul').slideUp(250);
          }
        });

        // Open nav
        $(this).removeClass('nav-plus').addClass('nav-minus').siblings('ul').slideDown(250);
      } else if ($(this).hasClass('nav-minus')) {
        // Close nav
        $(this).removeClass('nav-minus').addClass('nav-plus').siblings('ul').slideUp(250);
      }
      return false;
    });

    // Click once, open tree, click again goto linked page
    $('.sidr a').click(function(e) {
      if ($(this).siblings('.nav-plus').length) { // tree is closed
        e.preventDefault();
        // open tree
        $(this).siblings('.nav-plus').trigger('click');

        return false;
      }
    });

  })();

  // HTML5 Form Placeholder Fix (IE)
  // Released under MIT license: http://www.opensource.org/licenses/mit-license.php
  var browser = {
    isIe: function () {
        return navigator.appVersion.indexOf("MSIE") != -1;
    },
    navigator: navigator.appVersion,
    getVersion: function() {
        var version = 999; // we assume a sane browser
        if (navigator.appVersion.indexOf("MSIE") != -1)
            // bah, IE again, lets downgrade version number
            version = parseFloat(navigator.appVersion.split("MSIE")[1]);
        return version;
    }
  };

  (function() {
    if (browser.isIe() && browser.getVersion() <= 9) {
      $('[placeholder]').focus(function() {
        var input = $(this);
        if (input.val() == input.attr('placeholder')) {
          input.val('');
          input.removeClass('placeholder');
        }
      }).blur(function() {
        var input = $(this);
        if (input.val() === '' || input.val() === input.attr('placeholder')) {
          input.addClass('placeholder');
          input.val(input.attr('placeholder'));
        }
      }).blur().parents('form').submit(function() {
        $(this).find('[placeholder]').each(function() {
          var input = $(this);
          if (input.val() == input.attr('placeholder')) {
            input.val('');
          }
        });
      });
    }
  })();

  // Match-height JS Fix
  (function() {
    $('.matchHeight').matchHeight();
  })();


  //Show Dropdown Child Wrap on #nav li.haschild hover
  (function() {
    $('.childNav').css('height', ($(window).height()-200));
    $("a.parent").hover(
      function () {
        var snChildId = this.id.replace('parent_', '');
        if (snChildId) {
          $(".dropdownWrap").css("display", "block");
          $(".childNav").children('ul').css("display", "none");
          $('#' + snChildId).css("display", "block");
        }

        else {
          $(".dropdownWrap").css("display", "none");
          $(".childNav").children('ul').css("display", "none");
        }

      }
    );
  })();

  (function() {
    $(".dropdownWrap").mouseleave(function (){
        $(this).css("display", "none");
      });
  })();

});
